Browse Source

Add new script to build everything that is not up to date

Reinhard Müller 2 months ago
parent
commit
0953ce99bb
1 changed files with 19 additions and 0 deletions
  1. 19
    0
      fsfe-build.sh

+ 19
- 0
fsfe-build.sh View File

@@ -0,0 +1,19 @@
1
+#!/bin/bash
2
+# =============================================================================
3
+# Start a build of the fsfe-website checkout in the current working directory
4
+# =============================================================================
5
+# SPDX-FileCopyrightText: © 2020 Reinhard Müller <reinhard@fsfe.org>
6
+# SPDX-License-Identifier: WTFPL
7
+# =============================================================================
8
+
9
+set -e
10
+
11
+# Find out fsfe-website directory
12
+gitdir="$(git rev-parse --show-toplevel)"
13
+
14
+# Find out fsfe-local-build directory
15
+builddir="$(dirname "$(readlink -f "$0")")"
16
+
17
+# Start the build
18
+echo "Building from ${gitdir} into ${builddir}/fsfe.org"
19
+"${gitdir}/build/build_main.sh" build_run "${builddir}/fsfe.org" --statusdir "${builddir}/status"

Loading…
Cancel
Save